# Marketing

*Self praise stinks.* --[Czech](czechia.md) proverb

Marketing is an extremely unethical psychopathic practice, plentifully used in [capitalism](capitalism.md), of forcing a product or [corporate](corporation.md) propaganda by means of lying, manipulation, tricks, brainwashing, psychological torture and others. This manifests most visibly as advertisements and commercials in media but also in other ways such as fake product reviews, product placement in movies etc. Advertising is ever present and unavoidable in capitalism, billboards now run along the roads instead of trees, commercials yell from electronic devices that are present everywhere, ugly cheap ads, slogans and flashing lights now cover the art of architects -- indeed, there is a promise of ads being put in the sky, people's dreams and thoughts themselves once technology allows it (so called ["progress"](progress.md)). Marketing is one of the greatest [bullshit](bullshit.md) industries ever to have seen the light of day and is not only torturing the whole planet now, but also wasting enormous amounts of effort of those who create it.

Specific practices used in marketing are:

- **Lies**: every ad will present the product as the best thing there is, of course despite the fact that not all products can simultaneously be the best, so most of them are inevitably lying. No ad will ever point out shortcomings of the advertised product or try to present it in an objective way. Actors will be paid to lie about how the product is awesome and how it changed their lives even if in reality they never used it -- so called **[astroturfing](astroturfing.md)**. An ad will show someone getting orgasm from buying new toothpaste. And of course numbers and "facts" whose source is difficult to trace will be exaggerated or completely made up. Lying and manipulation is just a normal, daily bread in capitalism.
- **Extreme repetition/[spam](spam.md)** and annoyance: this includes repeating the same commercial over and over (e.g. every 10 minutes) as well as repeating the name of the product several times in every sentence (*"At X we believe in X, we recommend X because X is the best. For more info about X visit www.X.com. Remember, X is the best. Your X."*). Email spam, phone calls, leaflets and other spam is also a requirement for making any business succeed nowadays, you just cannot win attention by "playing nice" when everyone else plays dirty. The extreme repetition even commonly surpasses the threshold of **psychological torture** -- employees of supermarkets for example complain about the pain of having to listen to the same ad over and over, 8 hours every day, for many it becomes unbearable.
- **Psychological tricks and abuse** such as for example **fake discounts**: a product is presented as being on discount while in reality it's still highly overpriced, the price was just increased for a single day, then set back and now it's presented as a discount because people love the word "discount" and think they're saving money when in fact they're being raped. Most products are now constantly on "discount" for this reason. Another trick is **abusing songs** and shitty catchy melodies, often destroying existing good [music](music.md) this way by for example changing the lyrics of a nice famous song and then repeating it so many times you get sick of it and never want to even hear the original ever again. This abuses the fact that a song will get stuck in one's head and keep torturing the individual into thinking about the advertised product constantly. Similarly ads like to show food to people in attempts to rise their appetite, even (and perhaps especially) in obese people who shouldn't be overeating anymore and who are struggling to stay on a diet, and so ads literally pose a health risk to millions, they push overweight people to eating more -- consider that most people in the first world are overweight and should try to eat less rather than more, ads are trying to force them to do the opposite (of course additionally forcing food that's not healthy at all) -- not even talking about the fact that the "food" in question is almost always very unhealthy in itself. Supermarkets **intentionally create [mazes](maze.md)** and constantly change placement of items so that people always get lost, spend more time in the shop, see more items and are more likely to buy more things. They use colored lights to make fruit look more fresh and juicy than it actually is. Other tricks include **shouting** to gain attention, **faking empathy and emotion** ("we care about you", "we care about the environment" etc.), creating the **"[everyone does it](everyone_does_it.md)" illusion** ("look, all the cool teenagers in the world now switched to this product!"), intentionally creating drama (i.e. attention), abusing [shortcut thinking](shortcut_thinking.md) with **[buzzwords](buzzword.md)**, abusing [feat culture](fear_culture.md) ("Did you know that without this vitamin you're 10 times more likely to die of cancer?") etc. Many of the tricks are aimed at children and younger people who are less experienced with life, naive, trusting that a [corporation](corporation.md) truly cares about their well being, and similarly on older people, who are also more likely to fall victim to them.
- **Misleading statistics**, presentation and interpretation of [data](data.md). For example any success rate will be presented as the upper bound as such a number will be higher, typically 99% or 100%, i.e. for example *"our product is successful in up to 100% cases!"* (which of course gives zero information and only says the product won't succeed in more than 100% cases). A company may also run its own polls for a "best product", e.g. on [Facebook](facebook.md), in which all products are of course their own products, and then the winning product will be seen on TV as a "contest winning product".
- **Forcefully seizing attention**: ads are present practically everywhere, even embedded in "art" (even in that which one pays for, like magazines or movies), in the sky (planes, blimps, drones, ...), they play on every radio you hear in every shop, they pop up on electronic devices one has paid for, they can't be turned off (and if you try to do it, you're called a thief). They are present in educational materials and targeted at children. Audio of a commercial will be made louder to catch an attention when it starts playing on a commercial break.
- **Bribing celebrities/[influencers](influencer.md)**. An *influencer* is nowadays a culturally accepted "job", typically done by a psychopath, whose sole work consists of gaining trust of naive people on social media, pretending to be their "friend", and then lying, manipulating them and forcing them to buying products, spreading corporate propaganda and so on.
- ...

These practices are not rare, not even close, they are not even a behavior of a minority, not even of a small majority, they are not illegal and people don't even see them as unusual or undesirable anymore. This is absolutely dystopian state of our world. Stop for a moment to think about how deeply fucked up this all is, that we take it as normal that we repeat lies over and over to people every single day without a break, that we try to manipulate them into doing something they don't want to do and what's not good for them and, without exaggeration, even psychologically torture them. People in the [US](usa.md) are so brainwashed they even pay to see commercials now (Super Bowl), their will has been completely broken. Under capitalism these practices are the norm and are getting worse and worse ever year. [Boiling the frog](slowly_boiling_the_frog.md) works as expected.

A naive idea still present among people is that "ethical marketing" is somehow possible or that it's something a law or maybe even a Facebook petition can change. In late stage capitalism playing nice is not possible as "ethical" marketing equates non effective marketing, this is ultimately like wanting to make [war](war.md) ethical -- it can't be done, the concept itself is unethical and undesirable. Deciding to drop the most efficient weapons in the market warfare will only lead to the company losing customers and making place for [competition](competition.md) who embraces the unethical means, eventually going bankrupt and disappearing, leaving the throne to the bad guys. You want to do ethical marketing? You're simply out, next in the line gets a shot. Laws will not help as laws are made to firstly favor the market, corporations pay full time lobbyists and law makers themselves are owners of corporations. A law that fixes marketing would be a law that simply bans it -- do you think anyone is going to do that? Even if some small law against "unethical marketing" passes, the immense force and pressure of all the strongest corporations will work 24/7 on reverting the law and/or finding ways around it, legal or illegal, ethical or unethical. You have a few peasants with banners pleading the country's broken, corrupt non-working political system to shield them from world's strongest market entities with billions of dollars at hand and thousands of full time managers and lawyers who's only job it is to make marketing happen by any means necessary. If you believe in a happy end here then maybe it's better you start believing in something a bit more realistic, like that maybe aliens will come and save us.

Another extremely childish idea is that "marketing serves the people by informing them of new products" :D { I don't know, I always think capitalists have at least one brain cell, but they always manage to surprise me by saying something like this. ~drummyfish } This may not even need much comment (it seems weird, like trying to explain that a book dropped from a table will fall to the ground, feels extremely stupid) but let's see: maybe in times of caveman when market was just invented ads worked like this for exactly two days until one caveman realized he can lie on the ad and if he paints a bigger picture on the wall the other caveman customers will be more likely to buy his [rocks](rock.md) than the competing caveman's rocks; exactly at this day ads seized to be about informing people and became solely used for forcing one's products and tricking people, and trying to find ways around laws that tried to prohibit this, spawning the endless bullshit war of advertisers and law makers. It's been thousands of years now that ads have absolutely 0% informative value -- imagine an informative ad on TV, a simple white screen with text: "there is a new shampoo in the shop". This literally doesn't even give any information to the consumer, everyone knows there are shampoos in the shop. Do you think there exists any marketing company in which they wouldn't shit themselves in uncontrollable laughter if some of their employee was like "we should make our ad less intrusive, it should only inform the consumer about our product"? Are you really this braindead now?

**Marketing people are [subhuman](biotrash.md).** Of course, let us be reminded [we](lrs.md) love all living beings, even subhuman, but the marketing trash not only doesn't show any signs of conscience or [morals](morality.md), they hardly seems [conscious](consciousness.md) at all, they are just a robotic tool of [capitalism](capitalism.md), more akin to monkeys -- however immoral shit they get into, they always just reply "[just doing my job](just_doing_my_job.md)" and "[it pays well](it_pays_well.md)" to anything. What can you say about someone who dedicates his life to [bullshit](bullshit.md), manipulation and lies? And not just any kind of bullshit -- bullshit that makes other people very miserable. They make the worst kind of [propaganda](propaganda.md) which literally kills people, they would mercilessly torture children to death if it was on their contract. A capitalist is screeching HAHAHA IT NOT THE SAME bcuz CHILREN ARE MAGICAL n economy is pwogwesss, so this invalid. Indeed, it doesn't make any sense -- a capitalist will stay what it is, the lowest class of brainwashed [NPC](npc.md) incapable of thinking on its own. All in all, avoid anyone who has anything to do with marketing.

Good things don't need promotion (it's true even if you disagree). **The bigger the promotion, the bigger [shit](shit.md) it is.** The more ads you see for something, the more you must refuse to buy it.

No, there is no such thing as a "non-intrusive ad" or "ethical marketing", fucking capitalists are trying to introduce a sense of guilt for not wanting to undergo daily brainwashing. The only non-intrusive ad is that which you don't see or hear at all. Just [block](adblock.md) all that shit if you can, stay healthy and be happy.

Watching ads leads to extremely fast onset of dementia and brain cancer. Making ads means you already have dementia.